> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # List lists > Used to get a list of lists. Review our [dedicated guide](https://docs.xtremepush.com/docs/create-a-user-list) for more information on user lists. ## OpenAPI ````json POST /list/list { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/list": { "post": { "summary": "List lists", "description": "Used to get a list of lists. Review our [dedicated guide](https://docs.xtremepush.com/docs/create-a-user-list) for more information on user lists.", "operationId": "list-list", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "integer", "example": "3621063", "default": "0" }, "project_id": { "type": "string", "example": "PROJECT_ID" }, "name": { "type": "string", "example": "Restricted users" }, "identifier": { "type": "string", "example": "email" }, "external_id": {}, "suppress": { "type": "integer", "example": "0", "default": "0" } } } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "data": [ { "id": "3621063", "project_id": "PROJECT_ID", "name": "Restricted users", "identifier": "email", "suppress": "0" }, { "id": "3621064", "project_id": "PROJECT_ID", "name": "Propensity for Product Y", "identifier": "user_id", "suppress": "0" }, { "id": "3621214", "project_id": "PROJECT_ID", "name": "Propensity for Product z", "identifier": "profile_id", "suppress": "1" } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "List Methods" ] } } } } ````